<?xml version="1.0"?>
<config>
    <modules>
        <Inchoo_PHP7>
            <version>1.0.6</version>
        </Inchoo_PHP7>
    </modules>

    <global>
        <!-- Fix for incorrect sorting in the calculation of the discount -->
        <sales>
            <quote>
                <totals>
                    <msrp>
                        <before>grand_total</before>
                    </msrp>
                    <shipping>
                        <after>subtotal,freeshipping,tax_subtotal,msrp</after>
                    </shipping>
                </totals>
            </quote>
        </sales>

        <models>
            <inchoo_php7>
                <class>Inchoo_PHP7_Model</class>
            </inchoo_php7>

            <!-- Rewriting these models for PHP 7 compatibility -->
            <!--<core>-->
                <!--<rewrite>-->
                    <!--<layout>Inchoo_PHP7_Model_Layout</layout>-->
                <!--</rewrite>-->
            <!--</core>-->
            <importexport>
                <rewrite>
                    <import_uploader>Inchoo_PHP7_Model_Import_Uploader</import_uploader>
                    <import_entity_product>Inchoo_PHP7_Model_Import_Entity_Product</import_entity_product>
                    <export_entity_product_type_configurable>Inchoo_PHP7_Model_Export_Entity_Product_Type_Configurable</export_entity_product_type_configurable>
                    <export_entity_product_type_grouped>Inchoo_PHP7_Model_Export_Entity_Product_Type_Grouped</export_entity_product_type_grouped>
                    <export_entity_product_type_simple>Inchoo_PHP7_Model_Export_Entity_Product_Type_Simple</export_entity_product_type_simple>
                    <export_entity_customer>Inchoo_PHP7_Model_Export_Entity_Customer</export_entity_customer>
                </rewrite>
            </importexport>
            <catalog>
                <rewrite>
                    <product_link_api_v2>Inchoo_PHP7_Model_Product_Link_Api_V2</product_link_api_v2>
                </rewrite>
            </catalog>
        </models>

        <helpers>
            <core>
                <rewrite>
                    <data>Inchoo_PHP7_Helper_Data</data>
                </rewrite>
            </core>
        </helpers>
    </global>
</config>
